[IPython-user] Problem with Xemacs-21.4 and ipython.el

Prabhu Ramachandran prabhu_r at users.sf.net
Thu Oct 14 01:22:18 CDT 2004


>>>>> "FP" == Fernando Perez <Fernando.Perez at colorado.edu> writes:

    FP> Quoting Prabhu Ramachandran <prabhu_r at users.sourceforge.net>:
    >> Yes, *please*, the fact that dist contains
    >> ipython-emacs-0.4.tgz and the latest IPython is 0.6.4 plus the
    >> fact that CVS files are usually the latest and greatest had me
    >> totally confused.  I thought ipython-emacs-0.4 was old.

    FP> What a mess I made, sorry.  Not only did I have the wrong
    FP> versions in the tarball, those were totally out of sync with
    FP> CVS (pulled straight from my ~/.xemacs/lisp dir).  Anyway, I
    FP> hope I've fixed this one last time: I put up a
    FP> 0.5 tarball, and I _also_ synced CVS, so you should get the
    FP>     same files from
    FP> either place.  Apologies again for the time wasted.

No problem.  I've so far never seriously considered running IPython
from within XEmacs, but it looks like I am hooked. :)

    FP> Please let me know if there are still problems.  I've screwed
    FP> this up enough so many times, that I wouldn't be surprised to
    FP> have messed up again :)

I've updated my CVS tree and copied the emacs/*.el's into my lisp dir
and everything looks good so far.  I'll let you know if I do run into
difficulties.

BTW, quick question, how does one support different IPython profiles
from within xemacs?  Looks like its hard-wired to use vanilla
ipython. 

cheers,
prabhu




More information about the IPython-user mailing list